Name:           qt4pas
Version:        2.5
Release:        %mkrel 3
Summary:        Free Pascal Qt4 Binding
Group:          Development/KDE and Qt
License:        GNU Lesser General Public License
URL:            http://users.telenet.be/Jan.Van.hijfte/qtforfpc/fpcqt4.html
Source0:        http://users.telenet.be/Jan.Van.hijfte/qtforfpc/V%{version}/%{name}-V%{version}_Qt4.5.3.tar.gz
BuildRequires:  qt4-devel 
BuildRequires:	qtwebkit-devel
Requires:	fpc-src

%description
The Free Pascal Qt4 binding allows Free Pascal to interface with the
C++ Library Qt.

This binding does not cover the whole Qt4 framework but only the
classes needed by the Cross Platform Lazarus IDE to use Qt as a
Widget set.

%prep
%setup -q -n %{name}-V%{version}_Qt4.5.3
#sed -i 's/QMAKE_CXXFLAGS += -mstackrealign//g' Qt4Pas.pro

%build
%{qmake_qt4} Qt4Pas.pro
%make
#cd ..

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}
install -D -m 644 qt4.pas %{buildroot}%{_datadir}/fpcsrc/packages/qt4/qt4.pas

%files
%doc README.TXT COPYING.TXT
%{_libdir}/libQt4Pas.so*
%{_datadir}/fpcsrc/packages/qt4/qt4.pas


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.5-3.mga4
+ Revision: 517899
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.5-2.mga3
+ Revision: 379961
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 18 2012 dams <dams> 2.5-1.mga3
+ Revision: 272186
- imported package qt4pas

